/**
 * $Id: Assertions.java,v 1.1 2009/02/03 19:46:54 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 31.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.util;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.impl.LogFactoryImpl;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 31.01.2009
 * @version $Revision: 1.1 $
 */
public class Assertions {

    private static final Log log = LogFactoryImpl.getLog(Assertions.class);
    public static final boolean enabled;
    
    static {
        boolean assertsEnabled = false;
        try {
            assert false;
            log.info("assertions are disabled - call 'java -ea' (SunVM) to enable it)");
        } catch (AssertionError expected) {
            assertsEnabled = true;
            log.info("assertions are enabled");
        }
        enabled = assertsEnabled;
    }
    
    /**
     * If you want to know if the JavaVM was started with "Assertion enabled"
     * (option -ea for SunVM) you can use this method.
     */
    public static boolean areEnabled() {
        return enabled;
    }

}

/**
 * $Log: Assertions.java,v $
 * Revision 1.1  2009/02/03 19:46:54  oboehm
 * DbC support moved from patterntesting-check to here
 *
 * Revision 1.1  2009/02/01 14:05:25  oboehm
 * AssertHelper renamed to Assertions
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/util/Assertions.java,v $
 */
